Retrieve a pipeline with its stages and attributes
curl --request GET \
--url https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/pipelines/{pipelineId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/pipelines/{pipelineId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/pipelines/{pipelineId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/pipelines/{pipelineId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/pipelines/{pipelineId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/pipelines/{pipelineId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/pipelines/{pipelineId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "5d0b8f8e-3c1a-4a4e-9a57-2f6f3e1c9b10",
"label": "Sales",
"isDefault": true,
"currentVersion": 3,
"acceptsApiRecords": true,
"initialStageId": "stage-new",
"stages": [
{
"id": "stage-new",
"label": "New",
"order": 1,
"final": false,
"outcome": null
}
],
"attributes": [
{
"id": "budget",
"label": "Budget",
"type": "CURRENCY",
"scope": "RECORD",
"options": [
"Retail",
"Wholesale"
]
}
],
"closeReasons": [
{
"id": "reason-price",
"label": "Price too high"
}
]
}
Retrieve a pipeline with its stages and attributes
Get an active pipeline with its current version: stages in order, attributes and active close reasons.
Use it to know which stageId and values keys POST /records accepts.
GET
/
bridge
/
api
/
v1
/
workspaces
/
{workspaceId}
/
pipelines
/
{pipelineId}
Retrieve a pipeline with its stages and attributes
curl --request GET \
--url https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/pipelines/{pipelineId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/pipelines/{pipelineId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/pipelines/{pipelineId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/pipelines/{pipelineId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/pipelines/{pipelineId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/pipelines/{pipelineId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/pipelines/{pipelineId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "5d0b8f8e-3c1a-4a4e-9a57-2f6f3e1c9b10",
"label": "Sales",
"isDefault": true,
"currentVersion": 3,
"acceptsApiRecords": true,
"initialStageId": "stage-new",
"stages": [
{
"id": "stage-new",
"label": "New",
"order": 1,
"final": false,
"outcome": null
}
],
"attributes": [
{
"id": "budget",
"label": "Budget",
"type": "CURRENCY",
"scope": "RECORD",
"options": [
"Retail",
"Wholesale"
]
}
],
"closeReasons": [
{
"id": "reason-price",
"label": "Price too high"
}
]
}
Path Parameters
Response
Successful Response
A pipeline of the workspace with the stages and attributes of its current version.
Was this page helpful?

